Bug 834859 - SELinux is preventing xl2tpd from 'setattr' accesses on the chr_file 2.
SELinux is preventing xl2tpd from 'setattr' accesses on the chr_file 2.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:97f385d317104456262cd4fd31f...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 06:54 EDT by ManFree
Modified: 2014-08-22 07:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 07:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ManFree 2012-06-24 06:54:36 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.i686
time:           Sun 24 Jun 2012 06:54:23 PM MSK

description:
:SELinux is preventing xl2tpd from 'setattr' accesses on the chr_file 2.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that xl2tpd should be allowed setattr access on the 2 chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep xl2tpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:l2tpd_t:s0
:Target Context                system_u:object_r:devpts_t:s0
:Target Objects                2 [ chr_file ]
:Source                        xl2tpd
:Source Path                   xl2tpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.i686 #1
:                              SMP Mon May 7 17:45:26 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Sun 24 Jun 2012 06:49:08 PM MSK
:Last Seen                     Sun 24 Jun 2012 06:49:39 PM MSK
:Local ID                      3ae4b639-580d-4086-91db-7625c2b0b79d
:
:Raw Audit Messages
:type=AVC msg=audit(1340549379.801:304): avc:  denied  { setattr } for  pid=14404 comm="xl2tpd" name="2" dev="devpts" ino=5 scontext=system_u:system_r:l2tpd_t:s0 tcontext=system_u:object_r:devpts_t:s0 tclass=chr_file
:
:
:Hash: xl2tpd,l2tpd_t,devpts_t,chr_file,setattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-25 03:10:51 EDT
Is this really needed?
Comment 2 ManFree 2012-06-25 06:39:19 EDT
yes
Comment 3 Fedora End Of Life 2013-07-03 22:44:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 00:59:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.